Download it now!
Bug 119853 - kde5: Unnecessary white window in Base Database Wizard
Summary: kde5: Unnecessary white window in Base Database Wizard
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:6.3.0 target:6.2.3
Keywords:
: 121972 (view as bug list)
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-09-13 15:15 UTC by Michael Weghorn
Modified: 2019-03-21 12:12 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot showing the wizard and the additional window (45.10 KB, image/png)
2018-09-13 15:17 UTC, Michael Weghorn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weghorn 2018-09-13 15:15:41 UTC
version: master build as of commit e95930d96459cc653342e78617db9498255569d0
VCL: kde5 on X11 (the gtk3 VCL plugin e.g. works fine)
platform: Debian testing, Plasma 5 desktop

Steps to reproduce:

1) start LibreOffice Base:

    ./instdir/program/soffice --base

Result:

"Database Wizard" opens. In addition, there's a white window in the background that has the window title "soffice.bin".

Expected result: The additional white window should not be there.

[Side note: In addition, some texts are not shown at first on the left-hand side ("Select database", "Save and proceed" until hovering the mouse over that place, but that's probably already covered by bug 119720.]
Comment 1 Michael Weghorn 2018-09-13 15:17:10 UTC
Created attachment 144847 [details]
Screenshot showing the wizard and the additional window
Comment 2 Katarina Behrens (Inactive) 2019-01-07 10:59:19 UTC
*** Bug 121972 has been marked as a duplicate of this bug. ***
Comment 3 Commit Notification 2019-02-11 13:14:17 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/9191b59ac13d59a50f88e74604f02eb97e969e89%5E%21

tdf#119853: Set window state only, don't actually show the window

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Katarina Behrens (Inactive) 2019-02-11 13:18:42 UTC
Hm so let's set this to fixed, I no longer reproduce neither this issue nor bug 121972
Comment 5 Michael Weghorn 2019-02-11 14:26:39 UTC
Verified with

Version: 6.3.0.0.alpha0+
Build ID: 3b5dd1d49e3b5d669d020f0b268625b106c1c661
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded
Comment 6 Commit Notification 2019-03-13 16:00:25 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/4b190dcd17a12706e8cc555026c5e6852124ede5%5E%21

tdf#119853: Set window state only, don't actually show the window

It will be available in 6.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Alex Kempshall 2019-03-21 12:10:29 UTC
For KDe5 only I had a problem with using the progress bar created using createStatusIndicator().

In my Base application when activating a process from a form I expected the form to retain as is but with a growing progress bar in the status area. When the process completed the progress bar would be closed.

Starting with 6.2.0, using KDE5, instead of my expected results I got a repeatedly white flashing screen. The form that started the process would not be visible and neither was the progress bar. When the process completed the screen reverted back to my form.

This patch by Katarina Behrens fixes this problem.

Tested it in 6.2.3 as fixed.
Comment 8 Katarina Behrens (Inactive) 2019-03-21 12:12:41 UTC
Happy to read :thumbs-up: